#!/bin/sh

echo "libgcj-javac-placeholder.sh"
echo
echo "This script is a placeholder for the /usr/bin/javac"
echo "master link required by jpackage.org conventions.  libgcj's"
echo "rmiregistry, rmic and jar tools are now slave symlinks to these"
echo "masters, and are managed by the alternatives(8) system."
echo
echo "This change was necessary because the rmiregistry, rmic and jar tools"
echo "installed by previous versions of libgcj conflicted with symlinks"
echo "installed by jpackage.org JVM packages."
echo
echo "This script was designed to be overridden by the supported RHEL3 SDK"
echo "packages, java-1.4.2-bea-devel and java-1.4.2-ibm-devel.  It is"
echo "installed as an alternative symlink as /usr/bin/javac.  It will"
echo "override a third-party (non-RHEL3) SDK's javac command if the SDK's"
echo "bin directory is listed after /usr/bin in PATH.  In that case, it is"
echo "recommended that the third-party SDK's bin directory be listed first"
echo "in PATH instead."
echo
exec gcj -C "$@"
